/*
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

/*
 * Provides an embedded getopt implementation to the C file including
 * this.  Only intended for use by Proton examples and test/debug
 * programs to run on Windows.
 *
 * This file and any internal support files may change or be removed
 * at any time.
 */

#if defined(qpid_proton_EXPORTS)
#error This include file is not for use in the main proton library
#endif

#if !defined(_WIN32) || defined (__CYGWIN__)
#error This include file only intended for Windows compatibility.
#endif

#include "internal/getopt.c"
